package data_manage_permission

import "time"

// DataPermissionClassifyNoAuthRecord
// @Description: 资产分类数据权限未授权记录表
type DataPermissionClassifyNoAuthRecord struct {
	DataPermissionClassifyNoAuthRecordId int64     `json:"data_permission_classify_no_auth_record_id" orm:"column(data_permission_classify_no_auth_record_id);pk"` // 资产分类数据操作记录id
	Source                               int32     `json:"source"`                                                                                                 // 数据来源，1：手工数据指标 2：钢联化工数据库 3：ETA指标库 4：ETA预测指标 5：图库 6：ETA表格
	SubSource                            int32     `json:"sub_source"`                                                                                             // 子来源 ：ETA表格中的各种表格类型，以及图表的来源（这个是后续的扩展方向）
	OpUniqueCode                         string    `json:"op_unique_code"`                                                                                         // 操作的唯一编码，主要是记录统一操作的日志
	ClassifyId                           string    `json:"classify_id"`                                                                                            // 资产分类id（指标、图表、表格）
	ClassifyName                         string    `json:"classify_name"`                                                                                          // 资产分类名称（指标、图表、表格）
	SysUserId                            int32     `json:"sys_user_id"`                                                                                            // 系统用户id
	CreateTime                           time.Time `json:"create_time"`                                                                                            // 创建时间
}
